package com.ejwa.wsbooks.model;

import com.github.javafaker.Faker;
import java.util.ArrayList;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.ejb.Singleton;
import lombok.Getter;

@Singleton
public class BookShelf {
	@Getter
	private List<Book> books;

	@PostConstruct
	private void init() {
		books = new ArrayList<>();
		Faker faker = new Faker();

		for (int i = 0; i < 30; i++) {
			books.add(new Book(faker.book().title(), faker.book().author()));
		}
	}
}
