import Book from "./Book";

export default class Shelf extends React.Component {
	constructor(props) {
		super(props);
		this.state = {books: []};
	}

	componentDidMount() {
		fetch("http://localhost:8080/wsbooks-react/ws/shelf")
			.then(res => res.json())
			.then((data) => {
				this.setState({books: data})
			}).catch(console.log);
	}

	render() {
		return (
			<div>
				{this.state.books.map((b, idx) => {
					return <Book author={b.author} title={b.title} key={idx} />
				})}
			</div>
		);
	}
}